I get a prompt saying,

"Detected iTunes version 7.6.1 This version cannot be used with iNdependence.
Please choose the location of the version of the MobileDevice framework which was installed with iTunes 7.4.2 to copy into iNdependence."

So, I find in the "Help" section that I should go to this website (http://rapidshare.com/files/68410680...ework.zip.html) and download the specified mobdev. I do that, but I think it's an .exe file because it isn't highlighted when I'm prompted to find and open the mobdev framework folder in iTunes.

Then I tried downgrading my iTunes to 7.4.2, but I wasn't allowed to do that (unless I uninstall it, which I'm hoping not to do).

Any suggestions??

Thanks!